{% extends 'knp_menu.html.twig' %}

{% import '@GaiaAdmin/Macro/forms.html.twig' as forms %}

{% if 'create' in app.request.attributes.get('_route') %}
    {% set action = 'create' %}
{% else %}
    {% set action = 'update' %}
{% endif %}

{% block list %}
{% set form = (options.form) %}
<div class="ui stackable grid sylius-tabular-form">
    <div class="three wide column">
        <div class="ui large fluid vertical menu">
            {% for item in item.children %}
                {{ block('item') }}
            {% endfor %}
        </div>
    </div>
    <div class="thirteen wide column">
        {{ forms.errors(form) }}
        <div class="ui segment">
            {% for item in item.children %}
                <div class="ui tab {% if item.isCurrent %}active{% endif %}" data-tab="{{ item.name }}">
                    {% include item.attribute('template') with {'form': form, 'resource': options.resource, 'item': item} %}
                </div>
            {% endfor %}
        </div>
    </div>
</div>
{% endblock %}

{% block item %}
    {%- set attributes = item.attributes %}
    {%- set classes = item.attribute('class') is not empty ? [item.attribute('class')] : [] %}
    {%- if item.actsLikeFirst %}
        {%- set classes = classes|merge(['active']) %}
    {%- endif %}
    {%- if classes is not empty %}
        {%- set attributes = attributes|merge({'class': classes|join(' ')}) %}
    {%- endif %}
    <a class="item{% if attributes.class is defined %} {{ attributes.class }}{% endif %}" {% if 'disabled' not in classes %}data-tab="{{ item.name }}"{% endif %}>{{ item.label|trans|raw }}</a>
{% endblock %}
